%Taktzeit
% T= Taktzeit_accset(qva)
% suche status_output_er in rob_dyn.cpp
%
function t_exec=taktzeit_accset(jnt)
%
load ACCSET_20_20_ON.dat
t_exec_20_20_ON = ACCSET_20_20_ON(:,2:2);
q_20_20_ON = ACCSET_20_20_ON(:,12:17);
v_20_20_ON = ACCSET_20_20_ON(:,18:23);
a_20_20_ON = ACCSET_20_20_ON(:,24:29);

load ACCSET_50_50_ON.dat
t_exec_50_50_ON = ACCSET_50_50_ON(:,2:2);
q_50_50_ON = ACCSET_50_50_ON(:,12:17);
v_50_50_ON = ACCSET_50_50_ON(:,18:23);
a_50_50_ON = ACCSET_50_50_ON(:,24:29);

load ACCSET_80_80_ON.dat
t_exec_80_80_ON = ACCSET_80_80_ON(:,2:2);
q_80_80_ON = ACCSET_80_80_ON(:,12:17);
v_80_80_ON = ACCSET_80_80_ON(:,18:23);
a_80_80_ON = ACCSET_80_80_ON(:,24:29);

load ACCSET_100_100_ON.dat
t_exec_100_100_ON = ACCSET_100_100_ON(:,2:2);
q_100_100_ON = ACCSET_100_100_ON(:,12:17);
v_100_100_ON = ACCSET_100_100_ON(:,18:23);
a_100_100_ON = ACCSET_100_100_ON(:,24:29);

tmax = [max(t_exec_20_20_ON),...
        max(t_exec_50_50_ON),...
        max(t_exec_80_80_ON),...
        max(t_exec_100_100_ON)]
vmin = [min(v_20_20_ON(:,jnt:jnt)),...
        min(v_50_50_ON(:,jnt:jnt)),...
        min(v_80_80_ON(:,jnt:jnt)),...
        min(v_100_100_ON(:,jnt:jnt))]
vmax = [max(v_20_20_ON(:,jnt:jnt)),...
        max(v_50_50_ON(:,jnt:jnt)),...
        max(v_80_80_ON(:,jnt:jnt)),...
        max(v_100_100_ON(:,jnt:jnt))]
amin = [min(a_20_20_ON(:,jnt:jnt)),...
        min(a_50_50_ON(:,jnt:jnt)),...
        min(a_80_80_ON(:,jnt:jnt)),...
        min(a_100_100_ON(:,jnt:jnt))]
amax = [max(a_20_20_ON(:,jnt:jnt)),...
        max(a_50_50_ON(:,jnt:jnt)),...
        max(a_80_80_ON(:,jnt:jnt)),...
        max(a_100_100_ON(:,jnt:jnt))]

%t_exec = t_exec_20_20_ON;
t_exec = v_20_20_ON(:,jnt:jnt);
%t_exec = a_20_20_ON(:,jnt:jnt);

bg_col = 0.975;
figure1 = figure('Color',[bg_col bg_col bg_col]);
axes1 = axes('Parent',figure1);
title(axes1,'Title');
grid_on='on';
grid(axes1,grid_on);
box(axes1,'on');

s1 = 'b-';
s2 = 'r-';
s3 = 'g-';
s4 = 'm-';

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

plot(t_exec_20_20_ON,q_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON, q_50_50_ON(:,jnt:jnt),s2);           % Ausgabe q
title('Joint  blue: AccSet=20%  red: AccSet=50%');
ylabel('[deg]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'on');
plot(t_exec_20_20_ON,v_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON, v_50_50_ON(:,jnt:jnt),s2);           % Ausgabe v
title('Joint , Speed  blue: AccSet=20%  red: AccSet=50%');
ylabel('[deg] , [deg/s]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'off');
plot(t_exec_20_20_ON,a_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON, a_50_50_ON(:,jnt:jnt),s2);           % Ausgabe a
title('Acceleration  blue: AccSet=20%  red: AccSet=50%');
ylabel('[deg/s^2]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

plot(t_exec_80_80_ON,q_80_80_ON(:,jnt:jnt),s1,...
     t_exec_100_100_ON, q_100_100_ON(:,jnt:jnt),s2);           % Ausgabe q
title('Joint  blue: AccSet=80%  red: AccSet=100%');
ylabel('[deg]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'on');
plot(t_exec_80_80_ON,v_80_80_ON(:,jnt:jnt),s1,...
     t_exec_100_100_ON,v_100_100_ON(:,jnt:jnt),s2);           % Ausgabe v
title('Joint , Speed  blue: AccSet=80%  red: AccSet=100%');
ylabel('[deg] , [deg/s]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'off');
plot(t_exec_80_80_ON,a_80_80_ON(:,jnt:jnt),s1,...
     t_exec_100_100_ON,a_100_100_ON(:,jnt:jnt),s2);           % Ausgabe a
title('Acceleration  blue: AccSet=80%  red: AccSet=100%');
ylabel('[deg/s^2]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

plot(t_exec_20_20_ON,  q_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON,  q_50_50_ON(:,jnt:jnt),s2,...
     t_exec_80_80_ON,  q_80_80_ON(:,jnt:jnt),s3,...
     t_exec_100_100_ON,q_100_100_ON(:,jnt:jnt),s4);           % Ausgabe q
title('Joint  AccSet=20-100%');
ylabel('[deg]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

plot(t_exec_20_20_ON,  v_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON,  v_50_50_ON(:,jnt:jnt),s2,...
     t_exec_80_80_ON,  v_80_80_ON(:,jnt:jnt),s3,...
     t_exec_100_100_ON,v_100_100_ON(:,jnt:jnt),s4);           % Ausgabe v
title('Speed  AccSet=20-100%');
ylabel('[deg/s]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

plot(t_exec_20_20_ON,  a_20_20_ON(:,jnt:jnt),s1,...
     t_exec_50_50_ON,  a_50_50_ON(:,jnt:jnt),s2,...
     t_exec_80_80_ON,  a_80_80_ON(:,jnt:jnt),s3,...
     t_exec_100_100_ON,a_100_100_ON(:,jnt:jnt),s4);           % Ausgabe v
title('Acceleration  AccSet=20-100%');
ylabel('[deg/s^2]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;
