%Taktzeit
% T= Taktzeit_auto_accel(qva)
% suche status_output_er in rob_dyn.cpp
%
function t_exec=taktzeit_auto_accel(jnt)
%
load AUTOACCEL_50_100_OFF.dat
t_exec_50_100_OFF = AUTOACCEL_50_100_OFF(:,2:2);
q_50_100_OFF = AUTOACCEL_50_100_OFF(:,12:17);
v_50_100_OFF = AUTOACCEL_50_100_OFF(:,18:23);
a_50_100_OFF = AUTOACCEL_50_100_OFF(:,24:29);

load AUTOACCEL_100_100_OFF.dat
t_exec_100_100_OFF = AUTOACCEL_100_100_OFF(:,2:2);
q_100_100_OFF = AUTOACCEL_100_100_OFF(:,12:17);
v_100_100_OFF = AUTOACCEL_100_100_OFF(:,18:23);
a_100_100_OFF = AUTOACCEL_100_100_OFF(:,24:29);

load AUTOACCEL_50_100_ON.dat
t_exec_50_100_ON = AUTOACCEL_50_100_ON(:,2:2);
q_50_100_ON = AUTOACCEL_50_100_ON(:,12:17);
v_50_100_ON = AUTOACCEL_50_100_ON(:,18:23);
a_50_100_ON = AUTOACCEL_50_100_ON(:,24:29);

load AUTOACCEL_100_100_ON.dat
t_exec_100_100_ON = AUTOACCEL_100_100_ON(:,2:2);
q_100_100_ON = AUTOACCEL_100_100_ON(:,12:17);
v_100_100_ON = AUTOACCEL_100_100_ON(:,18:23);
a_100_100_ON = AUTOACCEL_100_100_ON(:,24:29);

tmax = [max(t_exec_50_100_OFF),...
        max(t_exec_50_100_ON),...
        max(t_exec_100_100_OFF),...
        max(t_exec_100_100_ON)]
vmin = [min(v_50_100_OFF(:,jnt:jnt)),...
        min(v_50_100_ON(:,jnt:jnt)),...
        min(v_100_100_OFF(:,jnt:jnt)),...
        min(v_100_100_ON(:,jnt:jnt))]
vmax = [max(v_50_100_OFF(:,jnt:jnt)),...
        max(v_50_100_ON(:,jnt:jnt)),...
        max(v_100_100_OFF(:,jnt:jnt)),...
        max(v_100_100_ON(:,jnt:jnt))]
amin = [min(a_50_100_OFF(:,jnt:jnt)),...
        min(a_50_100_ON(:,jnt:jnt)),...
        min(a_100_100_OFF(:,jnt:jnt)),...
        min(a_100_100_ON(:,jnt:jnt))]
amax = [max(a_50_100_OFF(:,jnt:jnt)),...
        max(a_50_100_ON(:,jnt:jnt)),...
        max(a_100_100_OFF(:,jnt:jnt)),...
        max(a_100_100_ON(:,jnt:jnt))]

%t_exec = t_exec_50_100_OFF;
t_exec = v_50_100_OFF(:,jnt:jnt);
%t_exec = a_50_100_OFF(:,jnt:jnt);

bg_col = 0.975;
figure1 = figure('Color',[bg_col bg_col bg_col]);
axes1 = axes('Parent',figure1);
title(axes1,'Title');
grid_on='on';
grid(axes1,grid_on);
box(axes1,'on');

s1 = 'b-';
s2 = 'r-';

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

plot(t_exec_50_100_OFF,q_50_100_OFF(:,jnt:jnt),s1,...
     t_exec_50_100_ON, q_50_100_ON(:,jnt:jnt),s2);           % Ausgabe q
title('Joint  v=50% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'on');
plot(t_exec_50_100_OFF,v_50_100_OFF(:,jnt:jnt),s1,...
     t_exec_50_100_ON, v_50_100_ON(:,jnt:jnt),s2);           % Ausgabe v
title('Joint , Speed  v=50% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg] , [deg/s]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'off');
plot(t_exec_50_100_OFF,a_50_100_OFF(:,jnt:jnt),s1,...
     t_exec_50_100_ON, a_50_100_ON(:,jnt:jnt),s2);           % Ausgabe a
title('Acceleration  v=50% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg/s^2]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

plot(t_exec_100_100_OFF,q_100_100_OFF(:,jnt:jnt),s1,...
     t_exec_100_100_ON, q_100_100_ON(:,jnt:jnt),s2);           % Ausgabe q
title('Joint  v=100% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'on');
plot(t_exec_100_100_OFF,v_100_100_OFF(:,jnt:jnt),s1,...
     t_exec_100_100_ON,v_100_100_ON(:,jnt:jnt),s2);           % Ausgabe v
title('Joint , Speed  v=100% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg] , [deg/s]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;

hold (axes1,'off');
plot(t_exec_100_100_OFF,a_100_100_OFF(:,jnt:jnt),s1,...
     t_exec_100_100_ON,a_100_100_ON(:,jnt:jnt),s2);           % Ausgabe a
title('Acceleration  v=100% a=100%  blue: AutoAccel=OFF  red: AutoAccel=ON');
ylabel('[deg/s^2]');
xlabel('cycle time [s]');
grid(axes1,grid_on);
pause;
